## dbus 1.15.6

=== debian/changelog ===
dbus (1.15.6-2) experimental; urgency=medium

  * Merge packaging from unstable (Closes: #1040790)

 -- Simon McVittie <smcv@debian.org>  Tue, 11 Jul 2023 21:01:57 +0100

dbus (1.15.6-1) experimental; urgency=medium

  [ Simon McVittie ]
  * New upstream development release
    - Fixes a denial of service issue if the root or messagebus user is
      monitoring messages on the system bus with the Monitoring interface
      (dbus-monitor, busctl monitor, gdbus monitor or similar)
      (Closes: #1037151)
  * d/rules: Tell dh_shlibdeps where to find dbus-tests' private libraries
    dbus-tests contains an instrumented/debug build of libdbus in a private
    directory, which has more ABI than the production build, and a second
    set of tests which depend on that debug build.
  * d/rules: Extend arbitrary timeout for tests.
    Some mipsel buildds are very slow and have seen the hash test time out
    after 30 seconds (it normally takes about 10 on slower machines).

  [ Helmut Grohne ]
  * Mark dbus-daemon and dbus-bin Multi-Arch: foreign (Closes: #1033056)

 -- Simon McVittie <smcv@debian.org>  Tue, 06 Jun 2023 15:06:09 +0100

dbus (1.15.4-1) experimental; urgency=medium

  * New upstream development release
    - Fixes a denial of service issue that is not relevant for the way
      we compile dbus in Debian
  * d/copyright: Update
  * d/rules: Explicitly enable the message bus and tools, which are now
    compile-time optional
  * Merge packaging changes from unstable

 -- Simon McVittie <smcv@debian.org>  Wed, 08 Feb 2023 13:34:18 +0000

dbus (1.15.2-1) experimental; urgency=medium

  * New upstream development release
    - Fix several denial of service issues where an authenticated attacker
      can crash the system bus by sending crafted messages
      (CVE-2022-42010, CVE-2022-42011, CVE-2022-42012)
    - Use a path-based Unix socket for the session bus, avoiding sandbox
      escape for Flatpak apps with network access (dbus#416)
  * Merge packaging from unstable

 -- Simon McVittie <smcv@debian.org>  Wed, 05 Oct 2022 12:02:43 +0100

dbus (1.15.0-1) experimental; urgency=medium

  [ Simon McVittie ]
  * New upstream development release
  * Drop most patches, applied upstream
  * d/copyright: Update

  [ Dave Jones ]
  * Make autopkgtest cross-friendly

 -- Simon McVittie <smcv@debian.org>  Thu, 22 Sep 2022 12:36:07 +0100

dbus (1.14.99~git20220715-1) experimental; urgency=medium

  * d/control, d/gbp.conf, d/watch: Branch for experimental
  * New upstream snapshot with Meson build system
  * Build with Meson instead of Autotools
  * d/copyright: Update
  * libdbus-1-dev: Depend on libsystemd-dev.
    Autotools represented the libsystemd dependency as Libs.private, which
    meant we would only have needed libsystemd-dev for static linking,
    but Meson uses Requires.private.
  * d/p/activation-helper-Never-crash-if-unable-to-write-oom_scor.patch,
    d/p/sysdeps-Only-open-oom_score_adj-read-write-if-we-need-to-.patch:
    Add proposed patches to make oom_score_adj handling more robust
  * d/p/test-bus-Factor-out-common-setup-teardown-code.patch,
    d/p/test-bus-Break-up-dispatch-test-into-three-separate-tests.patch,
    d/p/dispatch-test-Pass-in-test-data-directory-as-a-C-string.patch:
    Add proposed patches to speed up build-time testing
  * d/rules: Run all tests, even the slow ones.
    They're a lot less slow now.

 -- Simon McVittie <smcv@debian.org>  Sun, 17 Jul 2022 16:25:37 +0100

=== debian/rules ===
#!/usr/bin/make -f
# Copyright © 2002,2003 Colin Walters <walters@verbum.org>
# Copyright © 2003 Daniel Stone <daniels@debian.org>
# Copyright © 2006 Sjoerd Simons <sjoerd@debian.org>
# Copyright © 2011 Michael Biebl <biebl@debian.org>

export DEB_BUILD_MAINT_OPTIONS = hardening=+pie,+bindnow

include /usr/share/dpkg/default.mk

%:
	dh $@ $(dh_options)

libdbusN := $(shell sed -rn 's/Package:[[:space:]]*(libdbus-[0-9-]+)[[:space:]]*$$/\1/p' debian/control | head -n 1)
libdbus_soname := $(patsubst libdbus-1-%,libdbus-1.so.%,$(libdbusN))
debug_build_prefix := /usr/lib/dbus-1.0/debug-build
binaries := $(shell dh_listpackages)

export DEB_LDFLAGS_MAINT_APPEND = -Wl,--gc-sections

dh_options = \
	--builddirectory=debian/build-main \
	--buildsystem=meson \
	--with xml-core \
	--without autoreconf \
	$(NULL)

common_configure_flags := \
	--libexecdir=lib/dbus-1.0 \
	-Dmessage_bus=true \
	-Dsystem_socket=/run/dbus/system_bus_socket \
	-Dtools=true \
	-Dtraditional_activation=true \
	$(NULL)


ifeq ($(DEB_HOST_ARCH),$(DEB_BUILD_ARCH))
common_configure_flags += --native-file $(CURDIR)/debian/meson-binaries.txt
else
common_configure_flags += --cross-file $(CURDIR)/debian/meson-binaries.txt
endif

normal_configure_flags := \
	-Ddefault_library=both \
	$(NULL)

ifeq ($(DEB_HOST_ARCH_OS),linux)
# Non-bootstrap build on Linux: add Linux-specifics
common_configure_flags += \
	-Dapparmor=enabled \
	-Dlibaudit=enabled \
	-Dselinux=enabled\
	-Dsession_socket_dir=/tmp \
	-Dsystemd=enabled \
	-Dsystemd_system_unitdir=/lib/systemd/system \
	-Dtest_socket_dir=/tmp \
	$(NULL)
normal_configure_flags += \
	-Dsystemd_user_unitdir=/usr/lib/systemd/user \
	-Duser_session=true \
	$(NULL)
endif

debug_configure_flags := \
	-Dasserts=false \
	-Dchecks=true \
	-Ddefault_library=both \
	-Ddoxygen_docs=disabled \
	-Dducktype_docs=disabled \
	-Dvalgrind=auto \
	-Dverbose_mode=true \
	-Dxml_docs=disabled \
	--bindir='${debug_build_prefix}/bin' \
	--libdir='${debug_build_prefix}/lib' \
	--libexecdir='${debug_build_prefix}/libexec' \
	$(NULL)

udeb_configure_flags := \
	$(normal_configure_flags) \
	-Dapparmor=disabled \
	-Dasserts=false \
	-Dchecks=false \
	-Ddefault_library=shared \
	-Ddoxygen_docs=disabled \
	-Dducktype_docs=disabled \
	-Dinstalled_tests=false \
	-Dlibaudit=disabled \
	-Doptimization=s \
	-Dselinux=disabled \
	-Dstats=false \
	-Dsystemd=disabled \
	-Duser_session=false \
	-Dverbose_mode=false \
	-Dxml_docs=disabled \
	$(NULL)

ifneq ($(filter dbus-tests,$(binaries)),)
common_configure_flags += -Dinstalled_tests=true
else
common_configure_flags += -Dinstalled_tests=false
endif

# Some features are needed whenever we have build-time *or* installed tests
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS))$(filter dbus-tests,$(binaries)),nocheck)
debug_configure_flags += -Dembedded_tests=true
endif

ifeq ($(filter nodoc,$(DEB_BUILD_PROFILES)),)
normal_configure_flags += -Dxml_docs=enabled
else
normal_configure_flags += -Dxml_docs=disabled
endif

ifneq ($(filter dbus-1-doc,$(binaries)),)
normal_configure_flags += -Ddoxygen_docs=enabled
normal_configure_flags += -Dducktype_docs=enabled
else
normal_configure_flags += -Ddoxygen_docs=disabled
normal_configure_flags += -Dducktype_docs=disabled
endif

override_dh_auto_configure:
	dh_auto_configure \
		-- \
		$(common_configure_flags) \
		$(normal_configure_flags) \
		$(NULL)
ifneq ($(filter dbus-tests,$(binaries)),)
	LDFLAGS='$(LDFLAGS) -Wl,-rpath,${debug_build_prefix}/lib' \
	dh_auto_configure \
		--builddirectory=debian/build-debug \
		-- \
		$(common_configure_flags) \
		$(debug_configure_flags) \
		$(NULL)
endif
ifneq ($(filter dbus-udeb,$(binaries)),)
	dh_auto_configure \
		--builddirectory=debian/build-udeb \
		-- \
		$(common_configure_flags) \
		$(udeb_configure_flags) \
		$(NULL)
endif

override_dh_auto_build:
	dh_auto_build
ifneq ($(filter dbus-tests,$(binaries)),)
	dh_auto_build --builddirectory=debian/build-debug
endif
ifneq ($(filter dbus-udeb,$(binaries)),)
	dh_auto_build --builddirectory=debian/build-udeb
endif

meson_test_flags = \
	--timeout-multiplier 3 \
	-v \
	$(NULL)

handle-test-failure:
ifeq ($(DEB_HOST_ARCH_OS),linux)
	@echo "Build-time tests failed, please debug"
	@false
else
	@echo "Ignoring build-time test failure on non-Linux for now"
endif

test_env = \
	-u DISPLAY \
	DBUS_TEST_HOMEDIR=$${HOME} \
	LD_PRELOAD=libnss_wrapper.so \
	NSS_WRAPPER_HOSTS=$(CURDIR)/debian/hosts \
	$(NULL)

override_dh_auto_test-arch:
ifeq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	env $(test_env) \
		dh_auto_test -- $(meson_test_flags) \
		|| make -f debian/rules handle-test-failure
ifneq ($(filter dbus-tests,$(binaries)),)
	env $(test_env) \
		dh_auto_test --builddirectory=debian/build-debug -- $(meson_test_flags) \
		|| make -f debian/rules handle-test-failure
endif
ifneq ($(filter dbus-udeb,$(binaries)),)
	env $(test_env) \
		dh_auto_test --builddirectory=debian/build-udeb -- $(meson_test_flags) \
		|| make -f debian/rules handle-test-failure
endif
endif

override_dh_auto_test-indep:
	:

override_dh_auto_install:
ifneq ($(filter dbus-udeb,$(binaries)),)
	# udeb build
	dh_auto_install --builddirectory=debian/build-udeb --destdir=$(CURDIR)/debian/tmp-udeb
	cd $(CURDIR)/debian/tmp-udeb && find | LC_ALL=C sort
endif
ifneq ($(filter dbus-tests,$(binaries)),)
	# debug build
	dh_auto_install --builddirectory=debian/build-debug --destdir=$(CURDIR)/debian/tmp
	rm -rfv debian/tmp/etc
	rm -rfv debian/tmp/lib/systemd
	rm -rfv debian/tmp/usr/include
	rm -rfv debian/tmp/usr/lib/systemd
	rm -rfv debian/tmp/usr/lib/sysusers.d
	rm -rfv debian/tmp/usr/share/dbus-1
	rm -rfv debian/tmp/usr/share/doc
	rm -rfv debian/tmp/usr/share/man
	rm -rfv debian/tmp/usr/share/xml
	mv debian/tmp/usr/share/installed-tests/dbus \
		debian/tmp/usr/share/installed-tests/dbus-debug-build
	sed -i -e \
		"s,^Exec=,Exec=sh -c 'export PATH=/usr/lib/dbus-1.0/debug-build/bin:\$$PATH; exec \"\$$@\"' sh ," \
		debian/tmp/usr/share/installed-tests/dbus-debug-build/*.test
	rm -f debian/tmp/${debug_build_prefix}/libexec/installed-tests/dbus/data/sha-1/Readme.txt
	cd $(CURDIR)/debian/tmp && find | LC_ALL=C sort
endif
	# normal build (do this last so that it overwrites the others)
	dh_auto_install
	rm -f debian/tmp/usr/lib/dbus-1.0/installed-tests/dbus/data/sha-1/Readme.txt
ifeq ($(filter nodoc pkg.dbus.minimal,$(DEB_BUILD_PROFILES)),)
	# Reproducible build: sed out the generated dates from the man pages.
	sed -i \
		-e '/^\.\\\" *Date: .*/d' \
		-e 's/^\(.TH "[^"]*" "[^"]*" \)"[^"]*"/\1""/' \
		debian/tmp/usr/share/man/man?/*
endif
ifeq ($(filter dbus-tests,$(binaries)),)
	# noinsttest builds dbus-test-tool but not dbus-tests
	rm -f debian/tmp/usr/bin/dbus-test-tool
endif
ifeq ($(filter dbus-1-doc,$(binaries)),)
	# nodoc builds still install a bit of documentation
	rm -fr debian/tmp/usr/share/doc/dbus
endif
	# Remove the legacy bus configuration files. We move their old
	# versions out of the way, include the moved names in the new
	# bus setup instead of the old names, and replace the old names
	# with a symlink to the new bus setup so that old dbus-daemons
	# can still reload their configuration.
	rm -f debian/tmp/etc/dbus-1/session.conf
	rm -f debian/tmp/etc/dbus-1/system.conf
	# Fix up the development symlink for us installing the shared library
	# in /lib
	target=$$(readlink "debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/libdbus-1.so"); \
	target=$$(basename "$$target"); \
	ln -fns /lib/$(DEB_HOST_MULTIARCH)/$$target debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/libdbus-1.so

ifeq ($(DEB_DISTRIBUTION),UNRELEASED)
# We can't expect the install files to be fully up to date for a snapshot.
dh_missing_options += --list-missing
else
dh_missing_options += --fail-missing
endif

override_dh_missing:
	dh_missing $(dh_missing_options)

# Yes, we do need both --no- options here. https://bugs.debian.org/837528
override_dh_installinit:
	dh_installinit -pdbus --no-stop-on-upgrade --no-restart-after-upgrade
override_dh_installsystemd:

## dbus 1.15.8

=== bus/CMakeLists.txt ===
add_definitions(-DDBUS_COMPILATION)

set(EFENCE "")

# config files for installation 
configure_file( "session.conf.in" "${CMAKE_CURRENT_BINARY_DIR}/session.conf" IMMEDIATE @ONLY)
configure_file( "legacy-config/session.conf.in" "${CMAKE_CURRENT_BINARY_DIR}/legacy-config/session.conf" IMMEDIATE @ONLY)
file(MAKE_DIRECTORY ${CMAKE_CURRENT_BINARY_DIR}/session.d)

if(NOT WIN32)
    configure_file( "system.conf.in" "${CMAKE_CURRENT_BINARY_DIR}/system.conf" IMMEDIATE @ONLY)
    configure_file( "legacy-config/system.conf.in" "${CMAKE_CURRENT_BINARY_DIR}/legacy-config/system.conf" IMMEDIATE @ONLY)
    file(MAKE_DIRECTORY ${CMAKE_CURRENT_BINARY_DIR}/system.d)
endif()

# copy services for local daemon start to local service dir data/dbus-1/services
set(SERVICE_FILES test/data/valid-service-files)
file(GLOB FILES "${SERVICE_FILES}/*.service.in" )
foreach(FILE ${FILES})
    get_filename_component(FILENAME ${FILE} NAME_WE)
    set(TARGET ${PROJECT_BINARY_DIR}/data/dbus-1/services/${FILENAME}.service)
    if(CONFIG_VERBOSE)
        message("FROM: ${FILE}\nTO: ${TARGET}\n")
    endif()
    configure_file(${FILE} ${TARGET} )
endforeach()


if(DBUS_BUS_ENABLE_INOTIFY)
    set(DIR_WATCH_SOURCE dir-watch-inotify.c)
elseif(DBUS_BUS_ENABLE_KQUEUE)
    set(DIR_WATCH_SOURCE dir-watch-kqueue.c)
else(DBUS_BUS_ENABLE_INOTIFY)
    set(DIR_WATCH_SOURCE dir-watch-default.c)
endif()

set(BUS_SOURCES
    activation.c
    activation.h
    apparmor.c
    apparmor.h
    audit.c
    audit.h
    bus.c
    bus.h
    config-loader-expat.c
    config-parser.c
    config-parser.h
    config-parser-common.c
    config-parser-common.h
#    config-parser-trivial.c
    connection.c
    connection.h
    containers.c
    containers.h
    desktop-file.c
    desktop-file.h
    dir-watch.h
    dispatch.c
    dispatch.h
    driver.c
    driver.h
    expirelist.c
    expirelist.h
    policy.c
    policy.h
    selinux.h
    selinux.c
    services.c
    services.h
    signals.c
    signals.h
    test.c
    test.h
    utils.c
    utils.h
    ${DIR_WATCH_SOURCE}
)
if(DBUS_ENABLE_STATS)
    list(APPEND BUS_SOURCES
        stats.c
        stats.h
    )
endif()

include_directories(
    ${PROJECT_BINARY_DIR}
    ${EXPAT_INCLUDE_DIR}
)

set(DBUS_DAEMON_SOURCES
    main.c
)

if(WIN32)
    add_executable_version_info(DBUS_DAEMON_SOURCES "dbus-daemon")
endif()

add_library(dbus-daemon-internal STATIC ${BUS_SOURCES})
target_link_libraries(dbus-daemon-internal ${DBUS_INTERNAL_LIBRARIES} ${EXPAT_LIBRARIES})

add_executable(dbus-daemon ${DBUS_DAEMON_SOURCES})
target_link_libraries(dbus-daemon dbus-daemon-internal)
set_target_properties(dbus-daemon PROPERTIES OUTPUT_NAME ${DBUS_DAEMON_NAME})
set_target_properties(dbus-daemon PROPERTIES COMPILE_FLAGS ${DBUS_INTERNAL_CLIENT_DEFINITIONS})

install(TARGETS dbus-daemon ${INSTALL_TARGETS_DEFAULT_ARGS})
install(FILES ${CMAKE_CURRENT_BINARY_DIR}/session.conf DESTINATION ${CMAKE_INSTALL_DATADIR}/dbus-1)
install(FILES ${CMAKE_CURRENT_BINARY_DIR}/legacy-config/session.conf DESTINATION ${CMAKE_INSTALL_FULL_SYSCONFDIR}/dbus-1)
install(DIRECTORY DESTINATION ${CMAKE_INSTALL_DATADIR}/dbus-1/session.d)
install(DIRECTORY DESTINATION ${CMAKE_INSTALL_DATADIR}/dbus-1/services)

if(NOT WIN32)
    install(FILES ${CMAKE_CURRENT_BINARY_DIR}/system.conf DESTINATION ${CMAKE_INSTALL_DATADIR}/dbus-1)
    install(FILES ${CMAKE_CURRENT_BINARY_DIR}/legacy-config/system.conf DESTINATION ${CMAKE_INSTALL_FULL_SYSCONFDIR}/dbus-1)
    install(DIRECTORY DESTINATION ${CMAKE_INSTALL_DATADIR}/dbus-1/system.d)
    install(DIRECTORY DESTINATION ${CMAKE_INSTALL_DATADIR}/dbus-1/system-services)
    install(DIRECTORY DESTINATION ${CMAKE_INSTALL_FULL_LOCALSTATEDIR}/run/dbus)
endif()

if(DBUS_SERVICE)
    set(dbus_service_SOURCES
        bus-service-win.c
        # TODO: add additional files
        #    service-main.c
        #    ${BUS_SOURCES}
    )

    add_executable_version_info(dbus_service_SOURCES "dbus-service")
    add_executable(dbus-service ${dbus_service_SOURCES} )
    target_link_libraries(dbus-service ${DBUS_INTERNAL_LIBRARIES} ${EXPAT_LIBRARIES})
    set_target_properties(dbus-service PROPERTIES COMPILE_FLAGS ${DBUS_INTERNAL_CLIENT_DEFINITIONS})
    install(TARGETS dbus-service ${INSTALL_TARGETS_DEFAULT_ARGS})
endif()

set(LAUNCH_HELPER_SOURCES
    config-loader-expat.c
    config-parser-common.c
    config-parser-trivial.c
    desktop-file.c
    utils.c
)

if(NOT WIN32)
    # test-bus-system depends on this library
    add_library(launch-helper-internal STATIC ${LAUNCH_HELPER_SOURCES})
    target_link_libraries(launch-helper-internal ${DBUS_INTERNAL_LIBRARIES} ${EXPAT_LIBRARIES})

    if(ENABLE_TRADITIONAL_ACTIVATION)
        add_executable(dbus-daemon-launch-helper activation-helper.c activation-helper-bin.c )
        target_link_libraries(dbus-daemon-launch-helper launch-helper-internal)
        install(TARGETS dbus-daemon-launch-helper RUNTIME DESTINATION ${CMAKE_INSTALL_LIBEXECDIR})
        # It is intended not to check here that uid is 0 - see https://gitlab.freedesktop.org/dbus/dbus/-/merge_requests/154#note_478876
        install(CODE "message(\"-- Note: Not installing \$ENV{DESTDIR}\${CMAKE_INSTALL_PREFIX}/${CMAKE_INSTALL_LIBEXECDIR}/dbus-daemon-launch-helper binary setuid!\")")
        install(CODE "message(\"-- Note: You'll need to manually set permissions to 'root:${DBUS_USER}' and permissions '4750'\")")
    endif()
endif()

if(MSVC)
    project_source_group(${GROUP_CODE} bus_test_SOURCES dummy)
endif()

macro(install_example_in_file a)
    configure_file(${a}.in ${CMAKE_CURRENT_BINARY_DIR}/${a})
    install(FILES ${CMAKE_CURRENT_BINARY_DIR}/${a} DESTINATION ${CMAKE_INSTALL_DATADIR}/doc/dbus/examples)
endmacro()

macro(install_example_file a)
    install(FILES ${CMAKE_CURRENT_SOURCE_DIR}/${a} DESTINATION ${CMAKE_INSTALL_DATADIR}/doc/dbus/examples)
endmacro()

install_example_in_file(example-session-disable-stats.conf)
if(NOT WIN32)
    install_example_in_file(example-system-enable-stats.conf)
    install_example_file(example-system-hardening-without-traditional-activation.conf)
endif()

if(DBUS_BUS_ENABLE_SYSTEMD)
    configure_file(dbus.socket.in ${CMAKE_CURRENT_BINARY_DIR}/dbus.socket)
    configure_file(dbus.service.in ${CMAKE_CURRENT_BINARY_DIR}/dbus.service)
    add_systemd_service(${CMAKE_CURRENT_BINARY_DIR}/dbus.socket PATH ${DBUS_SYSTEMD_SYSTEMUNITDIR} LINKS sockets.target.wants)
    add_systemd_service(${CMAKE_CURRENT_BINARY_DIR}/dbus.service PATH ${DBUS_SYSTEMD_SYSTEMUNITDIR} LINKS multi-user.target.wants)
endif()

if(DBUS_ENABLE_USER_SESSION)
    configure_file(systemd-user/dbus.socket.in ${CMAKE_CURRENT_BINARY_DIR}/systemd-user/dbus.socket)
    configure_file(systemd-user/dbus.service.in ${CMAKE_CURRENT_BINARY_DIR}/systemd-user/dbus.service)
    add_systemd_service(${CMAKE_CURRENT_BINARY_DIR}/systemd-user/dbus.socket PATH ${DBUS_SYSTEMD_USERUNITDIR} LINKS sockets.target.wants)
    add_systemd_service(${CMAKE_CURRENT_BINARY_DIR}/systemd-user/dbus.service PATH ${DBUS_SYSTEMD_USERUNITDIR})
endif()

## mop up the gcov files
#clean-local:
#	/bin/rm *.bb *.bbg *.da *.gcov || true

#install-data-hook:
#	$(mkinstalldirs) $(DESTDIR)/$(localstatedir)/run/dbus
#	$(mkinstalldirs) $(DESTDIR)/$(configdir)/system.d
#	$(mkinstalldirs) $(DESTDIR)/$(datadir)/dbus-1/services

##install_file(${configdir}/system.d FILE

#### Init scripts fun
#SCRIPT_IN_FILES=messagebus.in
#		rc.messagebus.in

## Red Hat start
#if DBUS_INIT_SCRIPTS_RED_HAT

#initddir=$(sysconfdir)/rc.d/init.d

#initd_SCRIPTS= 	
#	messagebus

#endif
# ## Red Hat end

## Slackware start
#if DBUS_INIT_SCRIPTS_SLACKWARE

#initddir=$(sysconfdir)/rc.d/

#initd_SCRIPTS= 	
#	rc.messagebus

#endif
## Slackware end

#MAN_IN_FILES=dbus-daemon.1.in
#man_MANS = dbus-daemon.1

#### Extra dist 

#EXTRA_DIST=$(CONFIG_IN_FILES) $(SCRIPT_IN_FILES) $(man_MANS) $(MAN_IN_FILES)

=== debian/changelog ===
dbus (1.15.8-2) experimental; urgency=medium

  * dbus-x11: Don't copy XDG_SEAT_PATH, XDG_SESSION_PATH to activation
    environment.
    These variables are specific to a single login session.
  * dbus-user-session: Copy XDG_CURRENT_DESKTOP to activation environment.
    This is needed by various freedesktop.org specifications, in particular
    for xdg-desktop-portal (>= 1.17) to choose the correct portal backend
    for a desktop session. Some session managers like gnome-session and
    plasma-workspace already upload this into the activation environment,
    but many older or simpler session managers do not.

 -- Simon McVittie <smcv@debian.org>  Fri, 01 Sep 2023 10:55:31 +0100

dbus (1.15.8-1) experimental; urgency=medium

  * New upstream development release
  * d/copyright: Update
  * d/rules: Pass the correct private library directory to dh_shlibdeps

 -- Simon McVittie <smcv@debian.org>  Mon, 21 Aug 2023 18:37:36 +0100

=== debian/control ===
Source: dbus
Section: admin
Priority: optional
Maintainer: Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>
Uploaders:
 Sjoerd Simons <sjoerd@debian.org>,
 Sebastian Dröge <slomo@debian.org>,
 Michael Biebl <biebl@debian.org>,
 Loic Minier <lool@dooz.org>,
 Simon McVittie <smcv@debian.org>,
Build-Depends:
 debhelper (>= 13.7) | debhelper (<< 13.4),
 debhelper-compat (= 13),
 dh-exec,
 libapparmor-dev [linux-any],
 libaudit-dev [linux-any],
 libcap-ng-dev [linux-any],
 libexpat-dev,
 libglib2.0-dev <!nocheck> <!noinsttest>,
 libnss-wrapper <!nocheck>,
 libselinux1-dev [linux-any],
 libsystemd-dev [linux-any],
 libx11-dev,
 meson,
 pkg-config,
 valgrind-if-available,
 xml-core,
 xmlto <!nodoc>,
Build-Depends-Indep:
 doxygen <!nodoc>,
 ducktype <!nodoc>,
 xsltproc <!nodoc>,
 yelp-tools <!nodoc>,
Standards-Version: 4.6.2
Vcs-Git: https://salsa.debian.org/utopia-team/dbus.git -b debian/experimental
Vcs-Browser: https://salsa.debian.org/utopia-team/dbus
Homepage: https://dbus.freedesktop.org/
Rules-Requires-Root: no

Package: dbus
Architecture: any
Priority: standard
Provides:
 dbus-system-bus (= ${binary:Version}),
 default-dbus-system-bus,
Pre-Depends:
 ${misc:Pre-Depends},
Depends:
 dbus-bin (= ${binary:Version}),
 dbus-daemon (= ${binary:Version}),
 dbus-system-bus-common (>= ${source:Version}),
 ${misc:Depends},
 ${shlibs:Depends},
Suggests:
 default-dbus-session-bus | dbus-session-bus,
Multi-Arch: foreign
Description: simple interprocess messaging system (system message bus)
 D-Bus is a message bus, used for sending messages between applications.
 Conceptually, it fits somewhere in between raw sockets and CORBA in
 terms of complexity.
 .
 D-Bus supports broadcast messages, asynchronous messages (thus
 decreasing latency), authentication, and more. It is designed to be
 low-overhead; messages are sent using a binary protocol, not using
 XML. D-Bus also supports a method call mapping for its messages, but
 it is not required; this makes using the system quite simple.
 .
 It comes with several bindings, including GLib, Python, Qt and Java.
 .
 This package provides a fully-functional D-Bus system bus with activation
 support, used for communication between system services, and depends on
 most of the other components of the reference implementation of D-Bus.
 .
 To provide a complete D-Bus session bus, install one of the packages
 that implement the dbus-session-bus virtual package, such as
 dbus-user-session. The recommended implementation is indicated by
 the default-dbus-session-bus virtual package.

Package: dbus-session-bus-common
Architecture: all
Multi-Arch: foreign
Depends:
 ${misc:Depends},
Breaks:
 dbus (<< 1.13.18-2~),
Replaces:
 dbus (<< 1.13.18-2~),
Description: simple interprocess messaging system (session bus configuration)
 D-Bus is a message bus, used for sending messages between applications.
 Conceptually, it fits somewhere in between raw sockets and CORBA in
 terms of complexity.
 .
 This package contains the configuration files defining the behaviour of
 the D-Bus session bus, used for applications and per-user services.
 These are used by the reference implementation in the dbus package,
 and by the reimplementation in the dbus-broker package.
 .
 To provide a complete D-Bus session bus, install one of the packages
 that implement the dbus-session-bus virtual package, such as
 dbus-user-session. The recommended implementation is indicated by
 the default-dbus-session-bus virtual package.

Package: dbus-system-bus-common
Architecture: all
Multi-Arch: foreign
Depends:
 adduser,
 ${misc:Depends},
Breaks:
 dbus (<< 1.13.18-2~),
Replaces:
 dbus (<< 1.13.18-2~),
Description: simple interprocess messaging system (system bus configuration)
 D-Bus is a message bus, used for sending messages between applications.
 Conceptually, it fits somewhere in between raw sockets and CORBA in
 terms of complexity.
 .
 This package contains the configuration files defining the behaviour of
 the D-Bus system bus, used for system services such as networking and
 storage management services. It is also responsible for creating the
 'messagebus' system user account used to run the system bus.
 These are used by the reference implementation in the dbus package,
 and by the reimplementation in the dbus-broker package.
 .
 To provide a complete D-Bus system bus, install one of the packages
 that implement the dbus-system-bus virtual package, such as dbus.
 The recommended implementation is indicated by the default-dbus-system-bus
 virtual package.

Package: dbus-bin
Architecture: any
Multi-Arch: foreign
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Breaks:
 dbus (<< 1.13.18-2~),
Replaces:
 dbus (<< 1.13.18-2~),
Description: simple interprocess messaging system (command line utilities)
 D-Bus is a message bus, used for sending messages between applications.
 Conceptually, it fits somewhere in between raw sockets and CORBA in
 terms of complexity.
 .
 This package contains the D-Bus command-line utilities such as dbus-send
 and dbus-monitor.

Package: dbus-daemon
Architecture: any
Multi-Arch: foreign
Depends:
 dbus-bin (= ${binary:Version}),
 dbus-session-bus-common (>= ${source:Version}),
 ${misc:Depends},
 ${shlibs:Depends},
Breaks:
 dbus (<< 1.13.18-2~),
Replaces:
 dbus (<< 1.13.18-2~),
Description: simple interprocess messaging system (reference message bus)
 D-Bus is a message bus, used for sending messages between applications.
 Conceptually, it fits somewhere in between raw sockets and CORBA in
 terms of complexity.
 .
 This package contains dbus-daemon, the reference implementation of a
 D-Bus message bus, and dbus-run-session, a utility to start a temporary
 session dbus-daemon in a constrained environment or for automated tests.
 .
 To provide a complete D-Bus session bus, install one of the packages
 that implement the dbus-session-bus virtual package, such as
 dbus-user-session. The recommended implementation is indicated by
 the default-dbus-session-bus virtual package.

Package: dbus-1-doc
Build-Profiles: <!nodoc>
Section: doc
Architecture: all
Multi-Arch: foreign
Pre-Depends:
 ${misc:Pre-Depends},
Depends:
 ${misc:Depends},
Suggests:
 libdbus-1-dev,
Description: simple interprocess messaging system (documentation)
 D-Bus is a message bus, used for sending messages between applications.
 Conceptually, it fits somewhere in between raw sockets and CORBA in
 terms of complexity.
 .
 This package contains the API documentation for D-Bus, as well as
 the protocol specification.
 .
 See the dbus description for more information about D-Bus in general.

Package: dbus-tests
Build-Profiles: <!noinsttest>
Section: misc
Architecture: any
Pre-Depends:
 ${misc:Pre-Depends},
Depends:
 dbus,
 ${misc:Depends},
 ${shlibs:Depends},
Recommends:
 gnome-desktop-testing,
Breaks:
 dbus-1-dbg (<< 1.11.10-2~),
Replaces:
 dbus-1-dbg (<< 1.11.10-2~),
Description: simple interprocess messaging system (test infrastructure)
 D-Bus is a message bus, used for sending messages between applications.
 Conceptually, it fits somewhere in between raw sockets and CORBA in
 terms of complexity.
 .
 This package provides automated and manual tests for D-Bus, and the
 dbus-test-tool utility. It also provides copies of the D-Bus libraries and
 executables compiled with extra debug information and logging.
 .
 See the dbus package description for more information about D-Bus in general.

Package: dbus-udeb
Build-Profiles: <!noudeb>
Section: debian-installer
Package-Type: udeb
Architecture: any
Pre-Depends:
 ${misc:Pre-Depends},
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: simple interprocess messaging system (minimal runtime)
 D-Bus is a message bus, used for sending messages between applications.
 .
 This package is a minimal version of the dbus-daemon and dbus-x11
 packages, for use in the Debian installer. It can run a session bus,
 but is not suitable for use as a system bus.

Package: dbus-user-session
Architecture: linux-any
Multi-Arch: foreign
Provides:
 dbus-session-bus,
 default-dbus-session-bus,
Pre-Depends:
 ${misc:Pre-Depends},
Depends:
 dbus-daemon (= ${binary:Version}) | dbus-broker,
 dbus-session-bus-common (>= ${source:Version}),
 libpam-systemd,
 systemd,
 ${misc:Depends},
Recommends:
 systemd-sysv,
Description: simple interprocess messaging system (systemd --user integration)
 D-Bus is a message bus, used for sending messages between applications.
 Conceptually, it fits somewhere in between raw sockets and CORBA in
 terms of complexity.
 .
 On systemd systems, this package opts in to the session model in which
 a user's session starts the first time they log in, and does not end
 until all their login sessions have ended. This model merges all
 parallel non-graphical login sessions (text mode, ssh, cron, etc.), and up
 to one graphical session, into a single "user-session" or "super-session"
 within which all background D-Bus services are shared.
 .
 Multiple graphical sessions per user are not currently supported in this
 mode; as a result, it is particularly suitable for gdm, which responds to
 requests to open a parallel graphical session by switching to the existing
 graphical session and unlocking it.
 .
 To retain dbus' traditional session semantics, in which login sessions
 are artificially isolated from each other, remove this package and install
 dbus-x11 instead.
 .
 See the dbus package description for more information about D-Bus in general.

Package: dbus-x11
Architecture: any
Section: x11
Provides:
 dbus-session-bus,
 default-dbus-session-bus [!linux-any],
Pre-Depends:
 ${misc:Pre-Depends},
Depends:
 dbus-bin (= ${binary:Version}),
 dbus-daemon (= ${binary:Version}),
 dbus-session-bus-common (>= ${source:Version}),
 ${misc:Depends},
 ${shlibs:Depends},
Multi-Arch: foreign
Description: simple interprocess messaging system (X11 deps)
 D-Bus is a message bus, used for sending messages between applications.
 Conceptually, it fits somewhere in between raw sockets and CORBA in
 terms of complexity.
 .
 This package contains the dbus-launch utility, which automatically
 launches one D-Bus session bus per X11 display per user. If the
 dbus-user-session package is also installed, it takes precedence over
 this package.
 .
 See the dbus description for more information about D-Bus in general.

Package: libdbus-1-3
Architecture: any
Multi-Arch: same
Pre-Depends:
 ${misc:Pre-Depends},
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Recommends:
 dbus,
Section: libs
Description: simple interprocess messaging system (library)
 D-Bus is a message bus, used for sending messages between applications.
 Conceptually, it fits somewhere in between raw sockets and CORBA in
 terms of complexity.
 .
 D-Bus supports broadcast messages, asynchronous messages (thus
 decreasing latency), authentication, and more. It is designed to be
 low-overhead; messages are sent using a binary protocol, not using
 XML. D-Bus also supports a method call mapping for its messages, but
 it is not required; this makes using the system quite simple.
 .
 It comes with several bindings, including GLib, Python, Qt and Java.
 .
 The message bus daemon can be found in the dbus-daemon package.

Package: libdbus-1-3-udeb
Build-Profiles: <!noudeb>
Section: debian-installer
Package-Type: udeb
Architecture: any
Pre-Depends:
 ${misc:Pre-Depends},
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: simple interprocess messaging system (minimal library)
 D-Bus is a message bus, used for sending messages between applications.
 .
 This package is a minimal version of the libdbus-1-3 package,
 for use in the Debian installer.

Package: libdbus-1-dev
Section: libdevel
Multi-Arch: same
Architecture: any
Pre-Depends:
 ${misc:Pre-Depends},
Depends:
 libdbus-1-3 (= ${binary:Version}),
 libsystemd-dev [linux-any],
 pkg-config,
 ${misc:Depends},
 ${shlibs:Depends},
Description: simple interprocess messaging system (development headers)
